| Version: 2.9.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxAuiManagerEvent Class Reference
Events | Window Docking (wxAUI)

`#include <wx/aui/framemanager.h>`

Inheritance diagram for wxAuiManagerEvent:
[legend]

## Detailed Description

Event used to indicate various actions taken with wxAuiManager.

See wxAuiManager for available event types.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxAuiManagerEvent& event)

Event macros:

- EVT_AUI_PANE_BUTTON(func):
  Triggered when any button is pressed for any docked panes.
- EVT_AUI_PANE_CLOSE(func):
  Triggered when a docked or floating pane is closed.
- EVT_AUI_PANE_MAXIMIZE(func):
  Triggered when a pane is maximized.
- EVT_AUI_PANE_RESTORE(func):
  Triggered when a pane is restored.
- EVT_AUI_PANE_ACTIVATED(func):
  Triggered when a pane is made 'active'. This event is new since wxWidgets 2.9.4.
- EVT_AUI_RENDER(func):
  This event can be caught to override the default renderer in order to custom draw your wxAuiManager window (not recommended).

##

Library: wxAui
Category: Events, Window Docking (wxAUI)

See Also
  wxAuiManager, wxAuiPaneInfo

## Public Member Functions

| wxAuiManagerEvent (wxEventType type=wxEVT_NULL)
| Constructor.
bool | CanVeto ()
int | GetButton ()
wxDC * | GetDC ()
bool | GetVeto ()
wxAuiManager * | GetManager ()
wxAuiPaneInfo * | GetPane ()
void | SetButton (int button)
| Sets the ID of the button clicked that triggered this event.
void | SetCanVeto (bool can_veto)
| Sets whether or not this event can be vetoed.
void | SetDC (wxDC *pdc)
void | SetManager (wxAuiManager *manager)
| Sets the wxAuiManager this event is associated with.
void | SetPane (wxAuiPaneInfo *pane)
| Sets the pane this event is associated with.
void | Veto (bool veto=true)
| Cancels the action indicated by this event if CanVeto() is true.
Public Member Functions inherited from wxEvent
| wxEvent (int id=0, wxEventType eventType=wxEVT_NULL)
| Constructor.
virtual wxEvent * | Clone () const =0
| Returns a copy of the event.
wxObject * | GetEventObject () const
| Returns the object (usually a window) associated with the event, if any.
wxEventType | GetEventType () const
| Returns the identifier of the given event type, such as `wxEVT_BUTTON`.
virtual wxEventCategory | GetEventCategory () const
| Returns a generic category for this event.
int | GetId () const
| Returns the identifier associated with this event, such as a button command id.
wxObject * | GetEventUserData () const
| Return the user data associated with a dynamically connected event handler.
bool | GetSkipped () const
| Returns true if the event handler should be skipped, false otherwise.
long | GetTimestamp () const
| Gets the timestamp for the event.
bool | IsCommandEvent () const
| Returns true if the event is or is derived from wxCommandEvent else it returns false.
void | ResumePropagation (int propagationLevel)
| Sets the propagation level to the given value (for example returned from an earlier call to wxEvent::StopPropagation).
void | SetEventObject (wxObject *object)
| Sets the originating object.
void | SetEventType (wxEventType type)
| Sets the event type.
void | SetId (int id)
| Sets the identifier associated with this event, such as a button command id.
void | SetTimestamp (long timeStamp=0)
| Sets the timestamp for the event.
bool | ShouldPropagate () const
| Test if this event should be propagated or not, i.e. if the propagation level is currently greater than 0.
void | Skip (bool skip=true)
| This method can be used inside an event handler to control whether further event handlers bound to this event will be called after the current one returns.
int | StopPropagation ()
| Stop the event from propagating to its parent window.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members

Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxEvent
int | m_propagationLevel
| Indicates how many levels the event can propagate.

## Constructor & Destructor Documentation

wxAuiManagerEvent::wxAuiManagerEvent | ( | wxEventType | type = `wxEVT_NULL` | ) |

Constructor.

## Member Function Documentation

bool wxAuiManagerEvent::CanVeto | ( |  | ) |

Returns
  true if this event can be vetoed.

See Also
  Veto()

int wxAuiManagerEvent::GetButton | ( |  | ) |

Returns
  The ID of the button that was clicked.

wxDC* wxAuiManagerEvent::GetDC | ( |  | ) |

Todo:
  What is this?

wxAuiManager* wxAuiManagerEvent::GetManager | ( |  | ) |

Returns
  The wxAuiManager this event is associated with.

wxAuiPaneInfo* wxAuiManagerEvent::GetPane | ( |  | ) |

Returns
  The pane this event is associated with.

bool wxAuiManagerEvent::GetVeto | ( |  | ) |

Returns
  true if this event was vetoed.

See Also
  Veto()

void wxAuiManagerEvent::SetButton | ( | int | button | ) |

Sets the ID of the button clicked that triggered this event.

void wxAuiManagerEvent::SetCanVeto | ( | bool | can_veto | ) |

Sets whether or not this event can be vetoed.

void wxAuiManagerEvent::SetDC | ( | wxDC * | pdc | ) |

Todo:
  What is this?

void wxAuiManagerEvent::SetManager | ( | wxAuiManager * | manager | ) |

Sets the wxAuiManager this event is associated with.

void wxAuiManagerEvent::SetPane | ( | wxAuiPaneInfo * | pane | ) |

Sets the pane this event is associated with.

void wxAuiManagerEvent::Veto | ( | bool | veto = `true` | ) |

Cancels the action indicated by this event if CanVeto() is true.